%% Weight Ordering Experiment Light NonVisual-Visual
%
% Oct 2017 GM wrote the experiment

%% Find Next Subject ID
AlreadyCollected=dir('DataExp_Light_NonVisual_Visual/*.mat');
SubjectInfo.ID=size(AlreadyCollected,1)+1;
SubjectInfo.ExpTime=datestr(now,30);

if SubjectInfo.ID<10
    SubjectInfo.SaveStr=['DataExp_Light_NonVisual_Visual/S00'...
        int2str(SubjectInfo.ID) '_' SubjectInfo.ExpTime  '.mat'];
elseif SubjectInfo.ID<100
    SubjectInfo.SaveStr=['DataExp_Light_NonVisual_Visual/S0'...
        int2str(SubjectInfo.ID) '_'  SubjectInfo.ExpTime '.mat'];
else
    SubjectInfo.SaveStr=['DataExp_Light_NonVisual_Visual/S'...
        int2str(SubjectInfo.ID) '_'  SubjectInfo.ExpTime '.mat'];
end

%% Condition Coding  
% Code for Subject ID
SubjectInfo.Conditions.CondSubject=SubjectInfo.ID.*ones(1,4);
% Code for First (1) vs Second (2) Lift (within subject condition)
SubjectInfo.Conditions.CondLift=[1 2 1 2];
% Code for Visual (1) vs NonVisual (2) Condition (within subject condition)
SubjectInfo.Conditions.CondVisNVis=[2 2 1 1];
% Code for Visual First (1) vs NonVisual First (2) Condition (between subject condition)
SubjectInfo.Conditions.CondVisNVisOrder=[2 2 2 2];

%% NonVisual Condition
% Get subject ratings using dialog box
chk1=0;
while ~chk1
    prompt = {  'Gewicht Objekt 1, erste Schtzung:', ...
        'Gewicht Objekt 1, zweite Schtzung:', ...
        };
    dlg_title = ['Subject ' int2str(SubjectInfo.ID)];
    num_lines = [1 40];
    
    def = {'1-100', '1-100'};
    answer = inputdlg(prompt,dlg_title,num_lines,def);
    
    if ~isempty(answer{1}) & ~isempty(answer{2})
        RatingData(1)=str2num(answer{1});
        RatingData(2)=str2num(answer{2});
        
        if ~any(RatingData<1) & ~ any(RatingData>100)
            chk1=1;
            tic;
        else
            h=errordlg('Das Gewicht bitte auf einer Skala zwischen 1 und 100 bewerten', 'modal');
            uiwait(h);
        end
    end
end

%% Visual Condition
chk2=0;
while ~chk2
    prompt = {  'Gewicht Objekt 1, erste Schtzung:', ...
        'Gewicht Objekt 1, zweite Schtzung:', ...
        };
    dlg_title = ['Subject ' int2str(SubjectInfo.ID)];
    num_lines = [1 40];
    
    def = {'1-100', '1-100'};
    answer = inputdlg(prompt,dlg_title,num_lines,def);
    
    if ~isempty(answer{1}) & ~isempty(answer{2})
        RatingData(3)=str2num(answer{1});
        RatingData(4)=str2num(answer{2});
        
        if ~any(RatingData<1) & ~ any(RatingData>100)
            chk2=1;
            ITI=toc;
        else
            h=errordlg('Das Gewicht bitte auf einer Skala zwischen 1 und 100 bewerten', 'modal');
            uiwait(h);
        end
    end
end

%% Get subject info
chk3=0;
while ~chk3
    prompt = { 'Geschlecht?:', ...
        'Alter?:', ...
        'Hndigkeit:'
        };
    dlg_title = ['Subject ' int2str(SubjectInfo.ID)];
    num_lines = [1 40];
        
    def = {'M/F', '', 'R/L'};
    answer = inputdlg(prompt,dlg_title,num_lines,def);
    
    chkresp=~isempty(answer{1}) & ~isempty(answer{2}) & ~isempty(answer{3});
    chkgender=strcmpi(answer{1}, 'M') | strcmpi(answer{1}, 'F');
    chkage=~isempty(str2num(answer{2}));
    chkhandedness=strcmpi(answer{3}, 'R') | strcmpi(answer{3}, 'L');
    
    chk3 = chkresp & chkgender & chkage & chkhandedness;
    
    if chk3
        SubjectInfo.gender=answer{1};
        SubjectInfo.age=str2num(answer{2});
        SubjectInfo.handedness=answer{3};
        save(SubjectInfo.SaveStr, 'SubjectInfo', 'RatingData', 'ITI');
    elseif ~chkgender
        h=errordlg('Wrong Input for Gender', 'modal');
        uiwait(h);
    elseif ~chkage
        h=errordlg('Wrong Input for Age', 'modal');
        uiwait(h);
    elseif ~chkhandedness
        h=errordlg('Wrong Input for Handedness', 'modal');
        uiwait(h);
    end
end