% Data from Informal Experiment
close all
clear
clc

% All Observers
Data=[70 20 90; ...
    80 10 80;...
    80 1 100;...
    90 6 95;...
    80 25 85;...
    25 5 50;...
    60 30 90;...
    60 15 75;...
    40 10 70;...
    70 10 100];
Data_Scored=Data-round(10.*mean(Data,2))./10;
Mean_Normalized_Ratings=mean(Data_Scored, 1);
CI_Normalized_Ratings(1,:)=mean(Data_Scored, 1)-1.96*std(Data_Scored, 1)./sqrt(9);
CI_Normalized_Ratings(2,:)=mean(Data_Scored, 1)+1.96*std(Data_Scored, 1)./sqrt(9);

figure('Position',[150 150 400 400]);
hold on
plot([1:3],Mean_Normalized_Ratings, 'ok', 'markersize', 10,'MarkerFaceColor','k')
for Obj=1:3
    plot([Obj Obj],CI_Normalized_Ratings(:,Obj), '-k', 'linewidth', 2)
end
plot([0.5 3.5], [0 0], '--k')
xlim([0.5 3.5])
ylim([-50 50])
set(gca,'xtick', 1:3)
set(gca,'ytick', -40:20:40)
xlabel('Object No')
ylabel('Normalized Weight Rating')
set(findall(gcf,'-property','FontSize'),'FontSize',20)
print('-dpng', '-r600', 'Figures/Fig01b')