%% Experiment 1
close all
clear
clc

DataDirVisNonVis = ...
    dir(['Experiment01_Light/Experiment01a_Light_Visual_NonVisual/PilotDataExp_Light_Visual_NonVisual/' '*.mat']);

DataDirNonVisVis = ...
    dir(['Experiment01_Light/Experiment01b_Light_NonVisual_Visual/PilotDataExp_Light_NonVisual_Visual/' '*.mat']);


DataRaw=[];
LiftCond=[];
VisNVisCond=[];
VisNVisOrderCond=[];
SubjCond=[];
for dd=1:length(DataDirVisNonVis)
    Datadir=['Experiment01_Light/Experiment01a_Light_Visual_NonVisual/PilotDataExp_Light_Visual_NonVisual/' ...
        DataDirVisNonVis(dd).name];
    load(Datadir);
    DataRaw=[DataRaw (RatingData)];
    
    LiftCond=[LiftCond SubjectInfo.Conditions.CondLift];
    VisNVisCond=[VisNVisCond SubjectInfo.Conditions.CondVisNVis];
    VisNVisOrderCond=[VisNVisOrderCond SubjectInfo.Conditions.CondVisNVisOrder];
    SubjCond=[SubjCond SubjectInfo.Conditions.CondSubject];
end

Ms=max(SubjCond);

for dd=1:length(DataDirNonVisVis)
    Datadir=['Experiment01_Light/Experiment01b_Light_NonVisual_Visual/PilotDataExp_Light_NonVisual_Visual/' ...
        DataDirNonVisVis(dd).name];
    load(Datadir)
    
    DataRaw=[DataRaw (RatingData)];
    
    LiftCond=[LiftCond SubjectInfo.Conditions.CondLift];
    VisNVisCond=[VisNVisCond SubjectInfo.Conditions.CondVisNVis];
    VisNVisOrderCond=[VisNVisOrderCond SubjectInfo.Conditions.CondVisNVisOrder];
    SubjCond=[SubjCond Ms+SubjectInfo.Conditions.CondSubject];
end
Ms=max(SubjCond);

DataDirVisNonVis = ...
    dir(['Experiment01_Light/Experiment01a_Light_Visual_NonVisual/DataExp_Light_Visual_NonVisual/' '*.mat']);

DataDirNonVisVis = ...
    dir(['Experiment01_Light/Experiment01b_Light_NonVisual_Visual/DataExp_Light_NonVisual_Visual/' '*.mat']);

for dd=1:length(DataDirVisNonVis)
    Datadir=['Experiment01_Light/Experiment01a_Light_Visual_NonVisual/DataExp_Light_Visual_NonVisual/' ...
        DataDirVisNonVis(dd).name];
    load(Datadir)
    DataRaw=[DataRaw (RatingData)];
    
    LiftCond=[LiftCond SubjectInfo.Conditions.CondLift];
    VisNVisCond=[VisNVisCond SubjectInfo.Conditions.CondVisNVis];
    VisNVisOrderCond=[VisNVisOrderCond SubjectInfo.Conditions.CondVisNVisOrder];
    SubjCond=[SubjCond Ms+SubjectInfo.Conditions.CondSubject];
end

Ms=max(SubjCond);

for dd=1:length(DataDirNonVisVis)
    Datadir=['Experiment01_Light/Experiment01b_Light_NonVisual_Visual/DataExp_Light_NonVisual_Visual/' ...
        DataDirNonVisVis(dd).name];
    load(Datadir)
    DataRaw=[DataRaw (RatingData)];

    LiftCond=[LiftCond SubjectInfo.Conditions.CondLift];
    VisNVisCond=[VisNVisCond SubjectInfo.Conditions.CondVisNVis];
    VisNVisOrderCond=[VisNVisOrderCond SubjectInfo.Conditions.CondVisNVisOrder];
    SubjCond=[SubjCond Ms+SubjectInfo.Conditions.CondSubject];
end

[p_vals,ANOVAtab,stats]=anovan(DataRaw, ...
    {LiftCond, VisNVisCond, SubjCond},...
    'model', 2, 'random', 3, ...
    'varnames', {'First vs Second Lift', 'Visual vs NonVisual', 'Subj'},...
    'display', 'on');

figure('Position',[150 150 900 400]);
hold on

D1=DataRaw(LiftCond==1 & VisNVisCond==1);
D2=DataRaw(LiftCond==2 & VisNVisCond==1);
D3=DataRaw(LiftCond==1 & VisNVisCond==2);
D4=DataRaw(LiftCond==2 & VisNVisCond==2);

plot(mean(D1+D2)./2, mean(D2-D1), 'sk', 'linewidth', 1.5, 'markersize', 20,'MarkerFaceColor','k')
plot(mean(D3+D4)./2, mean(D4-D3), 'or', 'linewidth', 1.5, 'markersize', 18,'MarkerFaceColor','r')

plot(mean(D3+D4)./2, mean(D4-D3), 'or', 'linewidth', 1.5, 'markersize', 18,'MarkerFaceColor','r')
plot([mean(D3+D4)./2 mean(D3+D4)./2], bootci(1000, @mean, (D4-D3)), '-r', 'linewidth', 3)
plot(bootci(1000, @mean, (D3+D4)./2), [mean(D4-D3) mean(D4-D3)], '-r', 'linewidth', 3)

plot(mean(D1+D2)./2, mean(D2-D1), 'sk', 'linewidth', 1.5, 'markersize', 20,'MarkerFaceColor','k')
plot([mean(D1+D2)./2 mean(D1+D2)./2], bootci(1000, @mean, (D2-D1)), '-k', 'linewidth', 3)
plot(bootci(1000, @mean, (D1+D2)./2), [mean(D2-D1) mean(D2-D1)], '-k', 'linewidth', 3)


D13=DataRaw(LiftCond==1);
D24=DataRaw(LiftCond==2);
Effect=mean(D24-D13);
plot([0 50], [0 0], '--k')
plot([72 75 75 72], [0 0 Effect Effect], 'k', 'linewidth', 2)
plot([80 85 90], [Effect./2 Effect./2 Effect./2], '*k', 'linewidth', 1.5, 'markersize', 13)

xlim([0 100])
ylim([-20 20])
set(gca,'ytick', [-15 0 15])
axis square
daspect([1 1 1]) 
set(findall(gcf,'-property','FontSize'),'FontSize',30)
print('-dpng', '-r600', 'Figures/Fig03a')

Percent_Lighter=round(100.*(nanmean(DataRaw(LiftCond==2))-nanmean(DataRaw(LiftCond==1)))./nanmean(DataRaw(LiftCond==1)))
