%% Experiment 3

close all
clear
clc

DataDirSameDiff = ...
    dir(['Experiment03_Hand/Experiment03a_Light_Same_DifferentHand\DataExp_Light_Light_Same_DifferentHand/' '*.mat']);

DataDirDiffSame = ...
    dir(['Experiment03_Hand/Experiment03b_Light_Different_SameHand\DataExp_Light_Light_Different_SameHand/' '*.mat']);

DataRaw=[];
LiftCond=[];
HandCond=[];
OrderCond=[];
SubjCond=[];
for dd=1:length(DataDirSameDiff)
    Datadir=['Experiment03_Hand/Experiment03a_Light_Same_DifferentHand\DataExp_Light_Light_Same_DifferentHand/' DataDirSameDiff(dd).name];
    load(Datadir)
    DataRaw=[DataRaw (RatingData)];
    
    LiftCond=[LiftCond SubjectInfo.Conditions.CondLift];
    HandCond=[HandCond SubjectInfo.Conditions.CondVisNVis];
    OrderCond=[OrderCond SubjectInfo.Conditions.CondVisNVisOrder];
    SubjCond=[SubjCond SubjectInfo.Conditions.CondSubject];
end
Ms=max(SubjCond);

for dd=1:length(DataDirDiffSame)
    Datadir=['Experiment03_Hand/Experiment03b_Light_Different_SameHand\DataExp_Light_Light_Different_SameHand/' DataDirDiffSame(dd).name];
    load(Datadir)
    DataRaw=[DataRaw (RatingData)];

    LiftCond=[LiftCond SubjectInfo.Conditions.CondLift];
    HandCond=[HandCond SubjectInfo.Conditions.CondVisNVis];
    OrderCond=[OrderCond SubjectInfo.Conditions.CondVisNVisOrder];
    SubjCond=[SubjCond Ms+SubjectInfo.Conditions.CondSubject];
end

[p_vals,ANOVAtab,stats]=anovan(DataRaw, ...
    {LiftCond, HandCond, SubjCond},...
    'model', 2, 'random', 3, ...
    'varnames', {'First vs Second Lift', 'Same vs Different', 'Subj'},...
    'display', 'on');

figure('Position',[150 150 900 400]);
hold on

D1=DataRaw(LiftCond==1 & HandCond==1);
D2=DataRaw(LiftCond==2 & HandCond==1);
D3=DataRaw(LiftCond==1 & HandCond==2);
D4=DataRaw(LiftCond==2 & HandCond==2);

plot(mean(D1+D2)./2, mean(D2-D1), '>', 'color', [0 0 1], 'linewidth', 1.5, 'markersize', 18,'MarkerFaceColor', [0 0 1])
plot(mean(D3+D4)./2, mean(D4-D3), '<', 'color', [1 0.55 0], 'linewidth', 1.5, 'markersize', 18,'MarkerFaceColor', [1 0.55 0])

plot(mean(D3+D4)./2, mean(D4-D3), '<', 'color', [1 0.55 0], 'linewidth', 1.5, 'markersize', 18,'MarkerFaceColor', [1 0.55 0])
plot([mean(D3+D4)./2 mean(D3+D4)./2], bootci(1000, @mean, (D4-D3)), '-', 'color', [1 0.55 0], 'linewidth', 3)
plot(bootci(1000, @mean, (D3+D4)./2), [mean(D4-D3) mean(D4-D3)], '-', 'color', [1 0.55 0], 'linewidth', 3)

plot(mean(D1+D2)./2, mean(D2-D1), '>', 'color', [0 0 1], 'linewidth', 1.5, 'markersize', 18,'MarkerFaceColor', [0 0 1])
plot([mean(D1+D2)./2 mean(D1+D2)./2], bootci(1000, @mean, (D2-D1)), '-', 'color', [0 0 1], 'linewidth', 3)
plot(bootci(1000, @mean, (D1+D2)./2), [mean(D2-D1) mean(D2-D1)], '-', 'color', [0 0 1], 'linewidth', 3)

D13=DataRaw(LiftCond==1);
D24=DataRaw(LiftCond==2);
Effect=mean(D24-D13);
plot([0 50], [0 0], '--k')
plot([77 80 80 77], [0 0 Effect Effect], 'k', 'linewidth', 2)
plot([85 90 95], [Effect./2 Effect./2 Effect./2], '*k', 'linewidth', 1.5, 'markersize', 13)
plot([57 60 60 57], [mean(D2-D1) mean(D2-D1) mean(D4-D3) mean(D4-D3)], 'k', 'linewidth', 2)
plot(65, Effect, '*k', 'linewidth', 1.5, 'markersize', 13)


xlim([0 100])
ylim([-20 20])
set(gca,'ytick', [-15 0 15])
axis square
daspect([1 1 1]) 
set(findall(gcf,'-property','FontSize'),'FontSize',30)
print('-dpng', '-r600', 'Figures/Fig03c')

Percent_Lighter=round(100.*(nanmean(DataRaw(LiftCond==2))-nanmean(DataRaw(LiftCond==1)))./nanmean(DataRaw(LiftCond==1)))

Percent_Lighter_SameHand=round(100.*(nanmean(DataRaw(LiftCond==2 & HandCond==1))-nanmean(DataRaw(LiftCond==1 & HandCond==1)))./nanmean(DataRaw(LiftCond==1 & HandCond==1)))

Percent_Lighter_DifferentHand=round(100.*(nanmean(DataRaw(LiftCond==2 & HandCond==2))-nanmean(DataRaw(LiftCond==1 & HandCond==2)))./nanmean(DataRaw(LiftCond==1 & HandCond==2)))